Cipher Mining Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/cipher-mining-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/cipher-mining-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1754352000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investors.ciphermining.com/news-releases/news-release-details/cipher-mining-announces-july-2025-operational-update",
    "holding_balance": 1219.0,
    "holding_net_change": 156.0,
    "transaction_value_usd": 17806025.64,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1756944000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investors.ciphermining.com/news-releases/news-release-details/cipher-mining-announces-august-2025-operational-update",
    "holding_balance": 1414.0,
    "holding_net_change": 195.0,
    "transaction_value_usd": 21592342.2,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1759795200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investors.ciphermining.com/news-releases/news-release-details/cipher-mining-announces-september-2025-operational-update",
    "holding_balance": 1500.0,
    "holding_net_change": 86.0,
    "transaction_value_usd": 10443107.28,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/cipher-mining-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    1500.0
  ],
  [
    1779062400000,
    1500.0
  ],
  [
    1779148800000,
    1500.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/cipher-mining-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    116144790.0
  ],
  [
    1779062400000,
    115416405.0
  ],
  [
    1779148800000,
    115140015
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/cipher-mining-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 20.04,
    "date": "2026-05-15",
    "high": 21.32,
    "open": 21.28,
    "close": 20.33,
    "volume": 24256990
  },
  {
    "low": 17.85,
    "date": "2026-05-18",
    "high": 20.06,
    "open": 20.02,
    "close": 19.12,
    "volume": 23021410
  },
  {
    "low": 17.62,
    "date": "2026-05-19",
    "high": 19.125,
    "open": 18.8,
    "close": 18.8,
    "volume": 19398496
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/cipher-mining-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.05,
  "quarterly_earnings_growth": 0.195,
  "eps_estimate_current_quarter": -0.035
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/cipher-mining-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -2.54,
  "six_month_return": 30.92,
  "three_month_return": 21.92
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/cipher-mining-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 1.6,
  "total_btc_percentage": 0.007,
  "share_price_change_state": "up"
}